ProgressInfo.Direction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.streaming

## Enum ProgressInfo.Direction

- java.lang.Object
- - java.lang.Enum<ProgressInfo.Direction>
  - - org.apache.cassandra.streaming.ProgressInfo.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProgressInfo.Direction>
  Enclosing class:
    ProgressInfo

      public static enum ProgressInfo.Direction
      extends java.lang.Enum<ProgressInfo.Direction>

  Direction of the stream.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN`
    `OUT`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `code`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProgressInfo.Direction` | `fromByte(byte direction)`
    `static ProgressInfo.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProgressInfo.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OUT

          public static final ProgressInfo.Direction OUT

    - #### IN

          public static final ProgressInfo.Direction IN

  - ### Field Detail

    - #### code

          public final byte code

  - ### Method Detail

    - #### values

          public static ProgressInfo.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProgressInfo.Direction c : ProgressInfo.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProgressInfo.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromByte

          public static ProgressInfo.Direction fromByte(byte direction)

Copyright © 2018 The Apache Software Foundation